package org.matrix.ktzentao;

import org.junit.jupiter.api.Test;
import org.matrix.ZentaoApplication;
import org.matrix.remote.service.DataAllCollector;
import org.matrix.remote.service.TriggerInitial;
import org.matrix.remote.task.DataCollectorTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest(classes = ZentaoApplication.class)
class KtZentaoApplicationTests {

    @Autowired
    DataAllCollector dataAllCollector;
    @Autowired
    DataCollectorTask dataCollectorTask;
    @Autowired
    TriggerInitial triggerInitial;

    @Test
    void test() {
        triggerInitial.createChangeTable();
        triggerInitial.createUserTrigger();
        triggerInitial.createProjectTrigger();
        triggerInitial.createUserViewTrigger();
    }

}
